import { SYSTEM_HEALTH_ALERTS_SERVER_STATUSES } from './main.config';
/**
 * Represents the available status of server.
 * @public
 */
export type SystemHealthAlertsServerAvailableStatus = (typeof SYSTEM_HEALTH_ALERTS_SERVER_STATUSES)[keyof typeof SYSTEM_HEALTH_ALERTS_SERVER_STATUSES];
/**
 * Configuration options for service status, including behavior around automatic closure and timeouts.
 * @public
 */
export interface ServerStatusConfig {
    autoClose: boolean;
    closeTimeout: number;
}
/**
 * Represents server status message item.
 * @public
 */
export interface ServerStatusMessageItem {
    title: string;
    content: string;
}
//# sourceMappingURL=main.types.d.ts.map